Subject: Re: 1/72nd scale Italeri JSF
From: "Steve Bamford" <[email-masked]>
To: "Justin Davenport" <[email-masked]>
Date: Sat, 19 Oct 2002 14:43:54 -0700

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com

Live like there is no tomorrow;
Love like you have never been hurt; and
Dance like no one is watching!

----- Original Message -----
From: "Justin Davenport" <[email-masked]>
To: <[email-masked]>
Sent: Saturday, September 07, 2002 4:42 AM
Subject: 1/72nd scale Italeri JSF

>
>
> hi Steve
>
> I'm attaching a Word article I wrote about the construction of my Italeri
> JSF.  I'll send the pictures in a separate email.
>
> regards Justin
>
> _________________________________________________________________
> Join the world's largest e-mail service with MSN Hotmail.
> http://www.hotmail.com
>